package com.ruoyi.bst.hardwareVersion.mapper;

import java.util.List;
import com.ruoyi.bst.hardwareVersion.domain.HardwareVersion;
import com.ruoyi.bst.hardwareVersion.domain.HardwareVersionVO;
import com.ruoyi.bst.hardwareVersion.domain.HardwareVersionQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 硬件版本Mapper接口
 *
 * @author ruoyi
 * @date 2025-04-07
 */
public interface HardwareVersionMapper
{
    /**
     * 查询硬件版本
     *
     * @param id 硬件版本主键
     * @return 硬件版本
     */
    HardwareVersionVO selectHardwareVersionById(Long id);

    /**
     * 查询硬件版本列表
     *
     * @param query 硬件版本
     * @return 硬件版本集合
     */
    List<HardwareVersionVO> selectHardwareVersionList(@Param("query")HardwareVersionQuery query);

    /**
     * 新增硬件版本
     *
     * @param hardwareVersion 硬件版本
     * @return 结果
     */
    int insertHardwareVersion(HardwareVersion hardwareVersion);

    /**
     * 批量新增硬件版本
     */
    int batchInsert(@Param("list") List<? extends HardwareVersion> list);

    /**
     * 批量修改硬件版本
     */
    int batchUpdate(@Param("list") List<? extends HardwareVersion> list);

    /**
     * 修改硬件版本
     *
     * @param hardwareVersion 硬件版本
     * @return 结果
     */
    public int updateHardwareVersion(@Param("data") HardwareVersion hardwareVersion);

    /**
     * 删除硬件版本
     *
     * @param id 硬件版本主键
     * @return 结果
     */
    int deleteHardwareVersionById(Long id);

    /**
     * 批量删除硬件版本
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHardwareVersionByIds(Long[] ids);
}
